function fld --wraps 'fossil diff'
    if type -q colordiff
        command fossil diff -N $argv | colordiff | less -FRX
    else
        set -l red (printf "\033[31m")
        set -l green (printf "\033[32m")
        set -l reset (printf "\033[0m")
        fossil diff -N $argv | sed "s/^+.*\$/$green&$reset/" |
            sed "s/^-.*\$/$red&$reset/" | less -FRX
    end
end
